This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 876319 - Unable to use analog speakers with Asus Xonar DX
Unable to use analog speakers with Asus Xonar DX
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
RejectedBlocker RejectedNTH
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-13 14:49 EST by Jiri Pospisil
Modified: 2015-02-18 08:47 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:47:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
volume control after boot (2.16 MB, image/png)
2012-11-13 14:52 EST, Jiri Pospisil
no flags Details
volume control after I click on the Profile roll-down menu (2.15 MB, image/png)
2012-11-13 14:53 EST, Jiri Pospisil
no flags Details
ALSA Info for Asus Xonar D2x (27.20 KB, application/octet-stream)
2013-01-19 11:52 EST, hx
no flags Details
alsa-info 3.12.8-200.fc19.x86_6 (66.23 KB, text/plain)
2014-01-28 18:23 EST, Andrew Gormanly
no flags Details

  None (edit)
Description Jiri Pospisil 2012-11-13 14:49:49 EST
Description of problem:
https://fedoraproject.org/wiki/QA:Testcase_audio_basic
When I boot to Fedora 18 Beta TC8 (live or installed on hard drive), I don't hear any sound when I should ("Test Speakers" in volume control, playing music). When I open volume control, it shows two devices (digital output and analog stereo). When I click on the "Profile" roll-down menu, the Analog Stereo device disappears. In the Profile menu is only one option - Digital Stereo. It seems that I'm forced to use only the digital output of the soundcard. I only have analog speakers and analog headphones, so cannot test the digital output.

Tested with speakers connected to the rear panel of the soundcard and headphones to the front panel audio header.

Soundcard: http://www.asus.com/Multimedia/Audio_Cards/Xonar_DX/#specifications
Comment 1 Jiri Pospisil 2012-11-13 14:52:31 EST
Created attachment 644341 [details]
volume control after boot
Comment 2 Jiri Pospisil 2012-11-13 14:53:25 EST
Created attachment 644342 [details]
volume control after I click on the Profile roll-down menu
Comment 3 Kamil Páral 2012-11-14 05:05:38 EST
Intel HD audio controller works fine, so this affects just certain types of adapters, it seems.
Comment 4 Adam Williamson 2012-11-14 05:19:01 EST
Voting ahead of tomorrow's blocker meeting, which I won't be at. -1 blocker / -1 nth (as the fix would likely be to the kernel), this looks to be hardware specific. I have sound working fine in F18 on two boxes here. The criterion is intended to cover cases where, say, PulseAudio or GNOME audio code is badly broken and sound isn't working for all or most people, not system-specific driver bugs.
Comment 5 Kamil Páral 2012-11-14 12:38:32 EST
Discussed at 2012-11-14 blocker bug meeting. Rejected as a blocker and NTH: This doesn't violate any of the F18 beta release criterion and could be fixed by an update.
Comment 6 Josh Boyer 2012-11-14 15:28:46 EST
On a fresh boot, can you run alsa-info and attach the output?

Also, if you use amixer instead of the gnome tool, do you see what appear to be correct settings?  Are volume levels muted, etc?
Comment 7 hx 2013-01-19 11:51:23 EST
Same here.

The requested alsa-info log in attachment.
Comment 8 hx 2013-01-19 11:52:10 EST
Created attachment 683131 [details]
ALSA Info for Asus Xonar D2x
Comment 9 hx 2013-03-03 04:38:35 EST
Still no sound on kernel 3.8.1.
Comment 10 hx 2013-03-23 05:40:46 EDT
Same on 3.8.3. :(
Comment 11 hx 2013-05-01 12:00:16 EDT
Same on 3.8.9 :(

Only possible workaround is tu use pavucontrol mixer to forcibly select playback output to alsa. After doing that, there suddenly also appears missing Asus Xonar Analog Stereo Output 5.1 + Analog Stereo Input option.

Seems like there is broken communication / compatibility within kernel 3.8.x and Gnome 3.6.
Comment 13 Jonathan 2013-08-19 05:36:15 EDT
Bug verified for Fedora 19, kernel 3.10.7

The sound was working with F17.
Comment 14 Jonathan 2013-08-19 05:48:42 EDT
It seem like "Profile" options where you can change the output configuration (analog +/ digital) in pavucontrol is not picked up by gnome's sound settings.
Comment 15 Justin M. Forbes 2013-10-18 16:59:17 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 16 Justin M. Forbes 2013-11-27 11:01:13 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 17 Jonathan 2014-01-15 09:59:32 EST
Bug verified for 3.12.6-200.fc19.x86_64
Comment 18 Andrew Gormanly 2014-01-28 18:23:36 EST
Created attachment 856870 [details]
alsa-info 3.12.8-200.fc19.x86_6

Bug still in 3.12.8-200.fc19.x86_6 and still annoying
Comment 19 Andrew Gormanly 2014-01-29 14:28:13 EST
OK.  It can be made to work in F19.

1) I used pavucontrol (which is not easily accessed, and unless you know it exists you will never find as a user) to switch off the built-in audio on the motherboard (Intel DH67GD) and the audio on the GPU (AMD Radeon HD 7750)

2) Set the Output Devices to "Virtuoso 100 (Xonar DX) Analog Surround 5.1" and set it as fallback for good measure.

It seems not to have worked, but on the next boot it does, actually.

This is still suboptimal as it's quite a faff to e.g. output to the HDMI screen's speakers when I want to.
Comment 20 juanp766 2014-02-19 15:06:46 EST
Fedora 20 and still not working, 
I solved it following these instructions
https://wiki.archlinux.org/index.php/PulseAudio/Examples#Defaulting_an_Analog_Output_Source
Comment 21 Justin M. Forbes 2014-03-10 10:46:54 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 22 Justin M. Forbes 2014-06-23 10:40:46 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 23 Adam Williamson 2014-06-24 01:21:26 EDT
I'm gonna say the confirmation on F20 from February should be enough of an indication that this is still an issue, and re-open it.
Comment 24 Fedora End Of Life 2015-01-09 17:01:40 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 25 Fedora End Of Life 2015-02-18 08:47:10 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.